petsc-3.15.0 2021-03-30
Report Typos and Errors

# KSPDestroy

Destroys KSP context.

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode  KSPDestroy(KSP *ksp)

Collective on ksp

### Input Parameter

| ksp | - iterative context obtained from KSPCreate()

### See Also

KSPCreate(), KSPSetUp(), KSPSolve(), KSP

### Level

beginner

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/dm/impls/stag/tutorials/ex1.c.html
src/dm/impls/stag/tutorials/ex2.c.html
src/dm/impls/stag/tutorials/ex3.c.html
src/dm/impls/stag/tutorials/ex4.c.html
src/ksp/pc/tutorials/ex1.c.html
src/ksp/pc/tutorials/ex2.c.html
src/ksp/pc/tutorials/ex3.c.html
src/ksp/ksp/tutorials/ex1.c.html
src/ksp/ksp/tutorials/ex2.c.html
src/ksp/ksp/tutorials/ex3.c.html
src/ksp/ksp/tutorials/ex4.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages